/*-- -------------------------- -->
<---          Landing           -->
<--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0em) {
  #landing {
    background: linear-gradient(69.15deg, #69e0db -3.44%, #236ddb 27.52%, #5d28d1 60.26%);
    padding: 10.875em 1em 11.375em 1em;
    position: relative;
  }
  #landing:before {
    content: '';
    position: absolute;
    display: block;
    height: 21.875em;
    width: 21.875em;
    background: linear-gradient(143.35deg, #3f88f5 7.56%, #4611b8 32.68%, #1d005a 60.54%);
    box-shadow: 0px 0px 36px rgba(29, 0, 90, 0.32), inset -16px 56px 108px #69e0db;
    border-radius: 1em;
    transform: rotate(-44.63deg);
    opacity: 1;
    top: 15.625em;
    right: -19.375em;
  }
  #landing .gradient-box {
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, #14142b 0%, rgba(20, 20, 43, 0) 100%);
    opacity: 0;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: 10;
    transition: opacity .3s;
  }
  #landing .container {
    position: relative;
    z-index: 10;
  }
  #landing h1 {
    color: #fff;
    font-weight: 700;
    font-size: min(8.6111vw, 3.0625em);
    line-height: 1.32258065em;
    margin-bottom: 0.51612903em;
    width: 90%;
    max-width: 11.2244898em;
  }
  #landing h2 {
    font-size: 1em;
    font-weight: 400;
    color: #fff;
    line-height: 1.5em;
    width: 73%;
    max-width: 31.25em;
    margin-bottom: 1.5em;
  }
}
/* Tablet */
@media only screen and (min-width: 48em) {
  #landing {
    padding-top: 14.3125em;
    padding-bottom: 15.1875em;
    background: transparent;
  }
  #landing:before {
    top: -6.25em;
    right: 12.5em;
    width: 49.25em;
    height: 49.25em;
    right: auto;
    left: 50%;
    margin-left: 20em;
  }
  #landing:after {
    content: '';
    position: absolute;
    display: block;
    height: 170%;
    width: 100%;
    background: linear-gradient(68.7deg, #69e0db -5.2%, #236ddb 26.29%, #5d28d1 59.59%);
    opacity: 1;
    top: 0;
    left: 0;
    clip-path: polygon(100% 0, 100% 64%, 50% 80%, 0 64%, 0 0);
    z-index: -1;
  }
  #landing h1 {
    margin-bottom: 0.48979592em;
  }
  #landing h2 {
    font-size: 1.5625em;
    line-height: 1.4em;
    max-width: 20em;
    margin-bottom: 1.6em;
  }
}
/* Small Desktop */
@media only screen and (min-width: 64em) {
  #landing:before {
    margin-left: 12.5em;
    top: -4.375em;
  }
}
/* Large Desktop 1090px */
@media only screen and (min-width: 68.125em) {
  #landing:before {
    margin-left: 7.6875em;
    top: -3.75em;
  }
}
/* Large Desktop 1200px */
@media only screen and (min-width: 75em) {
  #landing {
    background: linear-gradient(68.7deg, #69e0db -5.2%, #236ddb 26.29%, #5d28d1 59.59%);
  }
  #landing::after {
    display: none;
  }
  #landing .container {
    position: relative;
  }
  #landing .container:before {
    content: '';
    position: absolute;
    display: block;
    height: 93.75em;
    width: 31.25em;
    background: #fff;
    opacity: 1;
    top: -12.9375em;
    right: 50%;
    margin-right: 46.25em;
    transform: rotate(-45deg);
  }
  #landing .container:after {
    content: '';
    position: absolute;
    display: block;
    height: 93.75em;
    width: 31.25em;
    background: #fff;
    opacity: 1;
    top: -12.9375em;
    left: 50%;
    margin-left: 46.25em;
    transform: rotate(45deg);
  }
}
/* Dark Mode */
@media only screen and (min-width: 0em) {
  body.dark-mode #landing {
    background: linear-gradient(69.55deg, #69e0db -5.26%, #0e6af2 26.61%, #4611b8 60.32%);
  }
  body.dark-mode #landing:before {
    background: linear-gradient(143.35deg, #3f88f5 7.56%, #4611b8 32.68%, #1d005a 60.54%);
    box-shadow: 0px 0px 36px rgba(29, 0, 90, 0.32), inset -16px 56px 108px #69e0db;
  }
  body.dark-mode #landing .gradient-box {
    opacity: 1;
  }
  body.dark-mode #landing .container:before,
  body.dark-mode #landing .container:after {
    background-color: var(--dark);
  }
}
/*-- -------------------------- -->
<---            Gif             -->
<--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0em) {
  #steps {
    padding: 0 1em;
    position: relative;
    z-index: 20;
  }
  #steps .container {
    margin-top: -8.5625em;
  }
  #steps .library {
    display: flex;
    justify-content: center;
    width: 12.23076923em;
    font-size: 0.8125em;
    color: #fff;
    text-decoration: underline;
    margin: auto;
    margin-bottom: 0.92307692em;
  }
  #steps .library img {
    width: 1.38461538em;
    height: 1.38461538em;
    margin-left: 1.23076923em;
  }
  #steps .gif {
    display: block;
    position: relative;
    width: 100%;
    max-width: 68.125em;
    height: auto;
    margin: 0;
    border-radius: 0.1875em;
    box-shadow: inset 0px 12px 36px rgba(20, 20, 43, 0.15);
    filter: drop-shadow(0px 12px 36px rgba(20, 20, 43, 0.15));
    overflow: hidden;
  }
  #steps .gif img {
    width: 100%;
    height: auto;
  }
  #steps .steps {
    padding-top: 2.5em;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  #steps .steps .step {
    width: 100%;
    max-width: 21.75em;
    padding: 1.75em 1.5em;
    background-color: rgba(63, 136, 245, 0.1);
    border-radius: 0.5em;
    margin-bottom: 1.5em;
  }
  #steps .steps .step picture {
    width: 2.25em;
    height: 2.25em;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border-radius: 0.25em;
    margin-bottom: 1.25em;
  }
  #steps .steps .step picture img {
    display: block;
    width: 1.5em;
    height: 1.5em;
  }
  #steps .steps .step picture img.hover {
    display: none;
  }
  #steps .steps .step:nth-of-type(1) picture {
    background-color: #69E0DB;
  }
  #steps .steps .step:nth-of-type(2) picture {
    background-color: #3F88F5;
  }
  #steps .steps .step:nth-of-type(3) picture {
    background-color: #4611B8;
  }
  #steps .steps .step h2 {
    font-size: 1.9375em;
    line-height: 1.32258065;
    font-weight: bold;
    margin-bottom: 0.77419355em;
  }
  #steps .steps .step p {
    font-size: 1em;
    line-height: 1.5em;
  }
}
/* Mobile 700px */
@media only screen and (min-width: 43.75em) {
  #steps .steps {
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    font-size: min(1.4vw, 1em);
    padding-top: 2.5rem;
  }
  #steps .steps .step {
    margin: 0;
    min-height: 15.375em;
  }
}
/* Tablet */
@media only screen and (min-width: 48em) {
  #steps .library {
    margin-right: 0;
  }
}
/* Small Desktop */
@media only screen and (min-width: 64em) {
  #steps .container {
    margin-top: -6.5em;
  }
  #steps .steps .step {
    perspective: 700px;
    transition: box-shadow 0.3s;
    overflow: hidden;
  }
  #steps .steps .step:before {
    content: '';
    position: absolute;
    display: block;
    height: 100%;
    width: 100%;
    background: linear-gradient(127.08deg, #3f88f5 28.48%, #4611b8 100.16%);
    opacity: 0;
    top: 0;
    left: 0;
    z-index: -1;
    transition: opacity .3s;
  }
  #steps .steps .step picture {
    transform-style: preserve-3d;
    transition: transform 0.3s, background-color 0.3s;
  }
  #steps .steps .step picture img.hover {
    display: block;
    position: absolute;
    z-index: -1;
    opacity: 0;
    transform: scaleX(-1);
    transition: opacity;
    transition-delay: .1s;
  }
  #steps .steps .step picture img.default {
    transition: opacity .3s;
  }
  #steps .steps .step:hover {
    box-shadow: 0px 16px 24px rgba(2, 3, 3, 0.1), 0px 6px 30px rgba(2, 3, 3, 0.09), 0px 8px 10px rgba(2, 3, 3, 0.11);
  }
  #steps .steps .step:hover:before {
    opacity: 1;
  }
  #steps .steps .step:hover picture {
    background-color: #fff !important;
    transform: rotateY(180deg);
  }
  #steps .steps .step:hover picture img.default {
    opacity: 0;
  }
  #steps .steps .step:hover picture img.hover {
    opacity: 1;
  }
  #steps .steps .step:hover h2,
  #steps .steps .step:hover p {
    color: #fff;
  }
}
/* Large Desktop 1200px */
@media only screen and (min-width: 75em) {
  #steps .container {
    margin-top: -8.6875em;
  }
  #steps .steps {
    font-size: inherit;
  }
}
/* Dark Mode */
@media only screen and (min-width: 0em) {
  body.dark-mode #steps .steps .step {
    background-color: #052A62;
  }
}